#!/usr/bin/env stack
--stack --install-ghc runghc

{-# LANGUAGE TemplateHaskell #-}

module Embeds (current_version)
    where

import System.Environment
import System.Exit
import System.Process
import Version (version)

-- | Read current package version
--
-- Example:
--
-- >>> current_version >>= putStrLn :: IO ()
-- 0.2.1.8
--

-- Embed current package version in the output binary.
--current_version = "%version"
--current_version = $(version)
current_version = [| version |]

--main :: IO ()
--main = current_version >>= putStrLn :: IO ()

